:root{
    --gray: #dddddd
}

*{ margin: 0; padding: 0;}

body{ font-family: 'Montserrat', arial;}

header{
    background-color: var(--gray);
    border-bottom: 1px solid gray;

    display: flex;
    flex-direction: row;
    justify-content: center;
    
    position: sticky;
}

header h2{
    color: black;
    padding: 16px;
}

#header-logo{
/*    margin: 8px;
    margin-right: 0;*/
    position: absolute;
    top: 8px;
    left: 8px;
}



#products{
/*    background-color: #eeeeee;*/

    display: flex;
    flex-wrap: wrap;
    margin: 16px;
}



#add-product{
    background-color: white;
    width: calc(20% - 26px);
    aspect-ratio: 1 / 1;

    text-align: center;
    align-content: center;

    border: 1px solid gray;
    border-radius: 20px;
    transition-duration: 0.3s;

    font-size: 50px;
    font-family: 'Times New Roman', Times, serif;
    font-weight: 100;

    margin: 13px;
}

#add-product:hover{
    cursor: pointer;
    transform: scale(1.05);
}


.product{
    margin: 13px;
    width: calc(20% - 26px);

    border: 1px solid gray;
    border-radius: 16px;

    background-color: transparent;

    padding: 8px;
    box-sizing: border-box;
    
    display: flex;
    flex-wrap: wrap;

    flex-direction: column;
    justify-content: space-between;
}

.product *{
    margin: 3px 0px;
}

.p-qtdd{
    display: flex;
    flex-direction: row;

    flex-wrap: wrap;
    align-content: center;
}

.p-qtdd button{
    background-color: transparent;
    color: rgb(10, 132, 255);
    border: 1px solid rgb(10, 132, 255);
    
    width: 1em;
    border-radius: 0.25em;
    aspect-ratio: 1 / 1;

    transition-duration: 0.2s;
}

.p-qtdd button:hover{
    background-color: rgb(10, 132, 255);
    color: white;

    cursor: pointer;
}

.p-remove-button{
    background-color: transparent;

    border: 1px solid rgb(10, 132, 255);
    border-radius: 4px;
    color: rgb(10, 132, 255);

    transition-duration: 0.2s;
    display: block;
}

.p-remove-button:hover{
    cursor: pointer;
    
    color: white;
    border: 1px solid red;
    background-color: red;
}




#product-cad{
    position: absolute;
    top: 0;
    left: 0;

    background-color: #00000070;
    width: 100%;
    height: 100%;

    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);

    justify-content: center;
    align-items: center;

    display: none;
}

#cadastro{
    display: block;
    position: relative;
    background-color: white;

    padding: 32px;
    height: fit-content;

    border-radius: 20px;
}

#cadastro h2{
    margin-bottom: 32px;
}

#cadastro input{
    margin-bottom: 16px;
}

#cadastro input[type=text]{
    border: none;
    border-bottom: 1px solid black;
}

#cadastrar-pdct{
    margin-top: 16px;
    border: 1px solid rgb(10, 132, 255);
    padding: 10px;

    border-radius: 36px;
    
    background-color: white;
    color: rgb(10, 132, 255);

    transition-duration: 0.1s;
}

#cadastrar-pdct:hover{
    background-color: rgb(10, 132, 255);
    color: white;
    cursor: pointer;    
}

#close-cad{
    font-family: 'montserrat', arial;
    position: absolute;
    top: 32px;
    right: 32px;
}

#close-cad:hover{
    cursor: pointer;
}

@media (max-width: 450px){
    #header-logo{
        position: relative;

        top: unset;
        left: unset;
        margin:10px
    }

    header h2{display: none}

    
    #add-product{
        background-color: white;
        width: calc(50% - 16px);
        margin: 8px;
    }

    #add-product:hover{
        cursor: auto;
        transform: none;
    }    

    .product{
        margin: 8px;
        width: calc(50% - 16px);
    }
}